crm_order.index:
  permission:
    name: dtencrm/controllers/order/index
    title: order list
    description: order list
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.view:
  permission:
    name: dtencrm/controllers/order/view
    title: order view
    description: order view
    rule: dtencrm\rbac\OrderRule
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.add:
  permission:
    name: dtencrm/controllers/order/add
    title: order add
    description: order add
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.edit:
  permission:
    name: dtencrm/controllers/order/edit
    title: order edit
    description: order edit
    rule: dtencrm\rbac\OrderRule
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.delete:
  permission:
    name: dtencrm/controllers/order/delete
    title: order delete
    description: order delete
    rule: dtencrm\rbac\OrderRule
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_article_manager
    - crm_article_user

crm_order.generate-order-by-opportunity:
  permission:
    name: dtencrm/controllers/order/generate-order-by-opportunity
    title: order generate-order-by-opportunity
    description: order generate-order-by-opportunity
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.set-product-quantity:
  permission:
    name: dtencrm/controllers/order/set-product-quantity
    title: order set-product-quantity
    description: order set-product-quantity
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.ajax-add-product:
  permission:
    name: dtencrm/controllers/order/ajax-add-product
    title: order ajax-add-product
    description: order ajax-add-product
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user


crm_order.get-product-json-list:
  permission:
    name: dtencrm/controllers/order/get-product-json-list
    title: order get-product-json-list
    description: order get-product-json-list
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.delete-product:
  permission:
    name: dtencrm/controllers/order/delete-product
    title: order delete-product
    description: order delete-product
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user


crm_order.json-history-list:
  permission:
    name: dtencrm/controllers/order/json-history-list
    title: order json-history-list
    description: order json-history-list
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.json-add-history:
  permission:
    name: dtencrm/controllers/order/json-add-history
    title: order json-add-history
    description: order json-add-history
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.products:
  permission:
    name: dtencrm/controllers/order/products
    title: order products
    description: order products
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.add-new-order:
  permission:
    name: dtencrm/controllers/order/add-new-order
    title: order add-new-order
    description: order add-new-order
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user

crm_order.new-detail:
  permission:
    name: dtencrm/controllers/order/new-detail
    title: order new-detail
    description: order new-detail
  defaultRoles:
    - administrator
    - admin
    - crm_admin
    - crm_manager
    - crm_user
    - crm_article_manager
    - crm_article_user